"use strict";
/**
 * This file is part of the blog.zaruba-ondrej.cz package.
 *
 * (c) Ondřej Záruba <info@zaruba-ondrej.cz>
 *
 * For the full copyright and license information, please view the license.md
 * file that was distributed with this source code.
 */
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var EditorContext_1 = require("./EditorContext");
var createComponentWithEditorContext = function (WrappedComponent) {
    return function (props) { return (React.createElement(EditorContext_1.default.Consumer, null, function (_a) {
        var getEditorState = _a.getEditorState, setEditorState = _a.setEditorState;
        return (React.createElement(WrappedComponent, __assign({ getEditorState: getEditorState, setEditorState: setEditorState }, props)));
    })); };
};
exports.default = createComponentWithEditorContext;
