"use strict";
/**
 * This file is part of the draftjs-utils package.
 *
 * (c) Ondřej Záruba <info@zaruba-ondrej.cz>
 *
 * For the full copyright and license information, please view the license.md
 * file that was distributed with this source code.
 */
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var draft_js_1 = require("draft-js");
var createComponentWithEditorContext_1 = require("./createComponentWithEditorContext");
exports.createToggleBlockStyleButton = function (WrappedComponent) {
    return function (props) {
        var _a = props, style = _a.style, rest = __rest(_a, ["style"]);
        var WrappedComponentWithEditorState = createComponentWithEditorContext_1.default(function (_a) {
            var setEditorState = _a.setEditorState, getEditorState = _a.getEditorState;
            var toggleStyle = function () {
                setEditorState(draft_js_1.RichUtils.toggleBlockType(getEditorState(), style));
            };
            var isActive = getEditorState()
                .getCurrentContent()
                .getBlockForKey(getEditorState().getSelection().getStartKey())
                .getType() === style;
            return React.createElement(WrappedComponent, __assign({ toggleStyle: toggleStyle, isActive: isActive }, rest));
        });
        return React.createElement(WrappedComponentWithEditorState, null);
    };
};
exports.createToggleInlineStyleButton = function (WrappedComponent) {
    return function (props) {
        var _a = props, style = _a.style, rest = __rest(_a, ["style"]);
        var WrappedComponentWithEditorState = createComponentWithEditorContext_1.default(function (_a) {
            var setEditorState = _a.setEditorState, getEditorState = _a.getEditorState;
            var toggleStyle = function () {
                setEditorState(draft_js_1.RichUtils.toggleInlineStyle(getEditorState(), style));
            };
            var isActive = getEditorState().getCurrentInlineStyle().has(style);
            return React.createElement(WrappedComponent, __assign({ toggleStyle: toggleStyle, isActive: isActive }, rest));
        });
        return React.createElement(WrappedComponentWithEditorState, null);
    };
};
