/// <reference types="react" />
import { ComponentClass, StatelessComponent } from 'react';
import Omit from './utils/Typings';
export interface InjectedToggleStyleButtonProps {
    toggleStyle: () => void;
    isActive: boolean;
}
export interface CreateToggleStyleButton {
    <P extends InjectedToggleStyleButtonProps>(WrappedComponent: ComponentClass<P> | StatelessComponent<P>): StatelessComponent<Omit<P, 'toggleStyle' | 'isActive'> & {
        style: string;
    }>;
}
export declare const createToggleBlockStyleButton: CreateToggleStyleButton;
export declare const createToggleInlineStyleButton: CreateToggleStyleButton;
